﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

/// <summary>
/// Statická třída s funkcemi používanými v rezervačním systému
/// </summary>
public static class FunkceRezervacnihoSystemu
{

    /// <summary>
    /// Vrátí slovo den ve správném pádě podle počtu
    /// </summary>
    /// <param name="pocet">Počet dní</param>
    /// <returns>Slovo pád ve správném pádě</returns>
    public static string GetStringPocetDni(int pocet)
    {
        if (pocet == 1)
            return " den";
        else if (pocet < 5)
            return " dny";
        else
            return " dní";
    }

    /// <summary>
    /// Vrátí slovo osoba ve správném pádě podle počtu
    /// </summary>
    /// <param name="pocet">Počet osob</param>
    /// <returns>Slovo pád ve správném pádě</returns>
    public static string GetStringPocetOsob(int pocet)
    {
        if (pocet == 1)
            return " osobu";
        else if (pocet < 5)
            return " osoby";
        else
            return " osob";
    }

}
