﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

/// <summary>
/// Třída pro práci s položkami slevy pro počet osob.
/// </summary>
public class PolozkaSlevyPocetOsob
{
    private int pocetOsob;
    private float sleva;

    /// <summary>
    /// Položka - sleva počet osob.
    /// </summary>
    public PolozkaSlevyPocetOsob()
    {
    }

    /// <summary>
    /// Položka - sleva počet osob.
    /// </summary>
    /// <param name="pocetOsob">Počet osob.</param>
    /// <param name="sleva">Výše slevy.</param>
    public PolozkaSlevyPocetOsob(int pocetOsob, float sleva)
    {
        this.pocetOsob = pocetOsob;
        this.sleva = sleva;
    }

    /// <summary>
    /// Vrátí nebo nastaví počet osob.
    /// </summary>
    public int PocetOsob
    {
        get { return pocetOsob; }
        set { pocetOsob = value; }
    }

    /// <summary>
    /// Vrátí nebo nastaví výši slevy.
    /// </summary>
    public float Sleva
    {
        get { return sleva; }
        set { sleva = value; }
    }

}
