﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Forum : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Page.User.Identity.IsAuthenticated)
        {
            logInPanel.Visible = true;
            logOutPanel.Visible = false;
        }
    }

    protected void vlozitButton_Click(object sender, EventArgs e)
    {
            string vzkaz = vzkazTextBox.Text;
            SpravceDiskusnihoFora.VlozitNovyVzkaz(0, Profile.userId, vzkaz);
            forumGridView.DataBind();
            vzkazTextBox.Text = "";
    }

    /// <summary>
    /// Zvýrazní vzkazy zaměstnanců lyžařské školy
    /// </summary>
    protected void forumGridView_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        try
        {
            string userName = e.Row.Cells[1].Text;
            if (Roles.IsUserInRole(userName, "instruktor") || Roles.IsUserInRole(userName, "admin"))
            {
                e.Row.CssClass = "verejneForumVzkazZamestnance";
            }
        }
        catch (Exception)
        {
        }
    }
}
