﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class Pokus : System.Web.UI.Page
{

    static Button[] btn_arr = new Button[20];
    static int btn_count;

    protected void Page_Load(object sender, EventArgs e)
    {
        try
        {
            if (btn_arr[0] is Button)
            {
                //for each button saved in our array, recreate it
                foreach (Button button in btn_arr)
                {
                    add_button(button);
                }
            }
        }
        catch (Exception ex)
        {
            lblStatus.Text += ex.Message.ToString();
        }
    }

    protected void add_button(Button button)
    {
        try
        {
            //add to a container on the page
            pnlMain.Controls.Add(button);
            //add a spacer after the control
            pnlMain.Controls.Add(new LiteralControl("<br>"));
        }
        catch (Exception ex)
        {
            lblStatus.Text += ex.Message.ToString();
        }
    }

    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        try
        {
            //create a new instance of the control
            Button new_button = new Button();
            new_button.ID = txtID.Text;
            new_button.ForeColor = System.Drawing.Color.FromName(txtForeColor.Text);
            new_button.Text = txtText.Text;
            //add button to button array
            btn_arr[btn_count++] = new_button;
            //call our add function
            add_button(new_button);
            lblStatus.Text += "Created button " + new_button.ID + " and of color " + new_button.ForeColor;
        }
        catch (Exception ex)
        {
            lblStatus.Text += ex.Message.ToString();
        }
    }
}
