﻿<%@ Page Language="C#" MasterPageFile="~/RezervacniSystemMasterPage.master" AutoEventWireup="true"
    CodeFile="RegistraceZakaznika.aspx.cs" Inherits="RegistraceZakaznika" Title="Registrace zákazníka" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="obsahStranky" runat="Server">
    <h1>
        Registrace nového zákazníka
    </h1>
    <asp:CreateUserWizard ID="createUserWizard" runat="server" Font-Names="Verdana" Font-Size="0.8em"
        CreateUserButtonText="Registrovat" OnCreatedUser="createUserWizard_CreatedUser">
        <SideBarStyle BackColor="#5D7B9D" BorderWidth="0px" Font-Size="0.9em" VerticalAlign="Top" />
        <SideBarButtonStyle BorderWidth="0px" Font-Names="Verdana" ForeColor="White" />
        <ContinueButtonStyle BackColor="#FFFBFF" BorderColor="#CCCCCC" BorderStyle="Solid"
            BorderWidth="1px" Font-Names="Verdana" ForeColor="#284775" />
        <NavigationButtonStyle BackColor="#FFFBFF" BorderColor="#CCCCCC" BorderStyle="Solid"
            BorderWidth="1px" Font-Names="Verdana" ForeColor="#284775" />
        <HeaderStyle BackColor="#5D7B9D" BorderStyle="Solid" Font-Bold="True" Font-Size="0.9em"
            ForeColor="White" HorizontalAlign="Center" />
        <CreateUserButtonStyle BackColor="#FFFBFF" BorderColor="#CCCCCC" BorderStyle="Solid"
            BorderWidth="1px" Font-Names="Verdana" ForeColor="#284775" />
        <TitleTextStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <StepStyle BorderWidth="0px" />
        <WizardSteps>
            <asp:CreateUserWizardStep ID="CreateUserWizardStep" runat="server">
                <ContentTemplate>
                    <table border="0" class="createUser">
                        <tr>
                            <td colspan="2" class="title">
                                Zadejte prosím informace o novém účtu
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName">Nick (uživatelské jméno):</asp:Label>
                            </td>
                            <td style="text-align: right;">
                                <asp:TextBox ID="UserName" runat="server"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName"
                                    ErrorMessage="Nick je nutné vyplnit." ToolTip="Vyplňte nick." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password">Heslo:</asp:Label>
                            </td>
                            <td style="text-align: right;">
                                <asp:TextBox ID="Password" runat="server" TextMode="Password"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password"
                                    ErrorMessage="Heslo je nutné vyplnit." ToolTip="Je vyžadováno heslo." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="ConfirmPasswordLabel" runat="server" AssociatedControlID="ConfirmPassword">Heslo znovu:</asp:Label>
                            </td>
                            <td style="text-align: right;">
                                <asp:TextBox ID="ConfirmPassword" runat="server" TextMode="Password"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="ConfirmPasswordRequired" runat="server" ControlToValidate="ConfirmPassword"
                                    ErrorMessage="Heslo je pro kontrolu správnosti potřeba zadat ještě jednou." ToolTip="Heslo je pro kontrolu správnosti potřeba zadat ještě jednou."
                                    ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="EmailLabel" runat="server" AssociatedControlID="Email">E-mail:</asp:Label>
                            </td>
                            <td style="text-align: right;">
                                <asp:TextBox ID="Email" runat="server"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="EmailRequired" runat="server" ControlToValidate="Email"
                                    ErrorMessage="E-mail je nutný vyplnit." ToolTip="Vyplňte e-mail." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                                <asp:RegularExpressionValidator ID="emailRegularExpressionValidator" runat="server"
                                    ValidationGroup="createUserWizard" ErrorMessage="<br />Zadaný e-mail nemá správný formát."
                                    ControlToValidate="Email" Display="Dynamic" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="jmenoLabel" runat="server">Jméno:</asp:Label>
                            </td>
                            <td style="text-align: right;">
                                <asp:TextBox ID="jmenoTextBox" runat="server"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="jmenoRequiredFieldValidator" runat="server" ControlToValidate="jmenoTextBox"
                                    ErrorMessage="Jméno je nutné vyplnit." ToolTip="Vyplňte jméno." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="prijmeniLabel" runat="server">Příjmení:</asp:Label>
                            </td>
                            <td style="text-align: right;">
                                <asp:TextBox ID="prijmeniTextBox" runat="server"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="prijmeniRequiredFieldValidator" runat="server" ControlToValidate="prijmeniTextBox"
                                    ErrorMessage="Příjmení je nutné vyplnit." ToolTip="Vyplňte příjmení." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="telefonLabel" runat="server">Telefon:</asp:Label>
                            </td>
                            <td style="text-align: right;">
                                <asp:TextBox ID="telefonTextBox" runat="server"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="telefonRequiredFieldValidator" runat="server" ControlToValidate="telefonTextBox"
                                    ErrorMessage="Telefon je nutné vyplnit." ToolTip="Vyplňte telefon." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="uliceLabel" runat="server">Ulice a č.p.:</asp:Label>
                            </td>
                            <td style="text-align: right;">
                                <asp:TextBox ID="uliceTextBox" runat="server"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="uliceRequiredFieldValidator" runat="server" ControlToValidate="uliceTextBox"
                                    ErrorMessage="Ulice a č.p. je nutné vyplnit." ToolTip="Vyplňte ulici a č.p.."
                                    ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="mestoLabel" runat="server">Město:</asp:Label>
                            </td>
                            <td style="text-align: right;">
                                <asp:TextBox ID="mestoTextBox" runat="server"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="mestoRequiredFieldValidator" runat="server" ControlToValidate="mestoTextBox"
                                    ErrorMessage="Město je nutné vyplnit." ToolTip="Vyplňte město." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="pscLabel" runat="server">PSČ (bez mezery):</asp:Label>
                            </td>
                            <td style="text-align: right;">
                                <asp:TextBox ID="pscTextBox" MaxLength="5" runat="server"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="pscRequiredFieldValidator" runat="server" ControlToValidate="pscTextBox"
                                    ErrorMessage="PSČ je nutné vyplnit." ToolTip="Vyplňte PSČ." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                            </td>
                        </tr>
                        <tr>
                            <td align="center" colspan="2">
                                <asp:CompareValidator ID="PasswordCompare" runat="server" ControlToCompare="Password"
                                    ControlToValidate="ConfirmPassword" Display="Dynamic" ErrorMessage="Zadaná hesla nejsou stejná. Zadejte prosím totožná hesla."
                                    ValidationGroup="createUserWizard"></asp:CompareValidator>
                            </td>
                        </tr>
                        <tr>
                            <td align="center" colspan="2" style="color: Red;">
                                <asp:Literal ID="ErrorMessage" runat="server" EnableViewState="False"></asp:Literal>
                            </td>
                        </tr>
                    </table>
                </ContentTemplate>
            </asp:CreateUserWizardStep>
            <asp:CompleteWizardStep ID="CompleteWizardStep" runat="server">
                <ContentTemplate>
                    <table class="createUser">
                        <tr class="title">
                            <td>
                                Hotovo.
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Váš účet byl úspěšně vytvořen.
                            </td>
                        </tr>
                        <tr>
                            <td align="right" colspan="2">
                                <asp:Button ID="ContinueButton" runat="server" BackColor="#FFFBFF" BorderColor="#CCCCCC"
                                    BorderStyle="Solid" BorderWidth="1px" CausesValidation="False" CommandName="Continue"
                                    Font-Names="Verdana" ForeColor="#284775" Text="Přejít na hlavní stranu" PostBackUrl="~/Index.aspx"
                                    ValidationGroup="createUserWizard" />
                            </td>
                        </tr>
                    </table>
                </ContentTemplate>
            </asp:CompleteWizardStep>
        </WizardSteps>
    </asp:CreateUserWizard>
</asp:Content>
