﻿<%@ Page Language="C#" MasterPageFile="~/RezervacniSystemMasterPage.master" AutoEventWireup="true"
    CodeFile="RezervaceLyzarskeVyuky.aspx.cs" Inherits="RezervaceLyzarskeVyuky" Title="Rezervace lyžařské výuky" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="obsahStranky" runat="Server">
    <h1>
        Rezervace lyžařského kurzu
    </h1>
    <table style="width: 100%">
        <tr>
            <th>
                Položka
            </th>
            <th>
                Hodnota
            </th>
            <th style="text-align: right;">
                Sleva
            </th>
        </tr>
        <asp:Panel ID="terminPanel" runat="server">
            <tr>
                <td colspan="3">
                    <hr />
                </td>
            </tr>
            <tr>
                <th>
                    Kurz:
                </th>
                <td>
                    <asp:DropDownList ID="typKurzuDropDownList" runat="server" AutoPostBack="True" DataSourceID="typKurzuSqlDataSource"
                        DataTextField="nazev" DataValueField="idKurzu" OnSelectedIndexChanged="VypocitejCenuRezervaceSpecifikace">
                    </asp:DropDownList>
                </td>
                <td class="rezervaceCeny">
                    online sleva
                    <asp:Literal ID="slevaOnlineLiteral" runat="server">0</asp:Literal>
                    %
                </td>
            </tr>
            <tr>
                <th>
                    Rezervace od:
                </th>
                <td>
                    <asp:TextBox ID="rezervaceOdTextBox" ReadOnly="true" runat="server"></asp:TextBox>
                    <asp:Button ID="rezervaceOdButton" runat="server" Text="+" OnClick="rezervaceOdButton_Click" />
                    <asp:Calendar ID="rezervaceOdCalendar" Visible="false" runat="server" OnSelectionChanged="rezervaceOdCalendar_SelectionChanged">
                    </asp:Calendar>
                </td>
                <td class="rezervaceCeny">
                    <asp:Literal ID="slevaTerminLiteral" runat="server" Text="0"></asp:Literal>
                    %
                </td>
            </tr>
            <tr>
                <th>
                    Rezervace do:
                </th>
                <td>
                    <asp:TextBox ID="rezervaceDoTextBox" ReadOnly="true" runat="server"></asp:TextBox>
                    <asp:Button ID="rezervaceDoButton" runat="server" Text="+" OnClick="rezervaceDoButton_Click" />
                    <asp:Calendar ID="rezervaceDoCalendar" Visible="false" runat="server" OnSelectionChanged="rezervaceDoCalendar_SelectionChanged">
                    </asp:Calendar>
                </td>
            </tr>
            <tr>
                <th>
                    Počet osob:
                </th>
                <td>
                    <asp:TextBox ID="pocetOsobTextBox" Width="20" CssClass="alignRight" runat="server"
                        AutoPostBack="True" OnTextChanged="VypocitejCenuRezervaceSpecifikace" ValidationGroup="specifikace">1</asp:TextBox>
                    <asp:RangeValidator ID="specifikacePocetOsobRangeValidator" runat="server" ErrorMessage="<br />Zadejte celé kladné číslo"
                        ControlToValidate="pocetOsobTextBox" Display="Dynamic" MaximumValue="9999" MinimumValue="1"
                        Type="Integer" ValidationGroup="specifikace"></asp:RangeValidator>
                    <asp:RequiredFieldValidator ID="pocetRequiredFieldValidator" ControlToValidate="pocetOsobTextBox"
                        runat="server" ErrorMessage="<br />Musíte zadat počet osob." Display="Dynamic"></asp:RequiredFieldValidator>
                </td>
                <td class="rezervaceCeny">
                    <asp:Literal ID="slevaPocetOsobLiteral" runat="server" Text="0"></asp:Literal>
                    %
                </td>
            </tr>
            <tr>
                <th>
                    Pobočka:
                </th>
                <td>
                    <asp:DropDownList ID="pobockaDropDownList" runat="server" DataSourceID="pobockaSqlDataSource"
                        DataTextField="nazevPobocky" DataValueField="idPobocky">
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <th>
                    Partnerský kód:
                </th>
                <td>
                    <asp:TextBox ID="partnerskyKodTextBox" runat="server" AutoPostBack="true" OnTextChanged="VypocitejCenuRezervaceSpecifikace"></asp:TextBox>
                </td>
                <td class="rezervaceCeny">
                    <asp:Literal ID="slevaPartnerskyKodLiteral" runat="server" Text="0"></asp:Literal>
                    %
                </td>
            </tr>
            <tr>
                <th>
                    Preferovaný instruktor
                </th>
                <td>
                    <asp:DropDownList ID="preferovanyInstruktorDropDownList" runat="server" DataTextField="prijmeni"
                        DataValueField="UserId" DataSourceID="instruktoriSqlDataSource" OnDataBound="preferovanyInstruktorDropDownList_DataBound">
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <th>
                    Jiné sdělení:
                </th>
                <td>
                    <asp:TextBox ID="poznamkaTextBox" TextMode="MultiLine" Width="350" Height="60" runat="server"></asp:TextBox>
                </td>
            </tr>
        </asp:Panel>
        <tr style="border-top: 3px solid gray;">
            <th colspan="2">
                Cena za
                <asp:Literal ID="pocetDniLiteral" runat="server" Text="0 dní"></asp:Literal>
                a
                <asp:Literal ID="pocetOsobLiteral" runat="server" Text="1 osobu"></asp:Literal>
            </th>
            <th style="text-align: right;">
                <asp:Literal ID="cenaPredSlevouLiteral" runat="server" Text="0"></asp:Literal>
                Kč
            </th>
        </tr>
        <tr>
            <th colspan="2">
                Sleva celkem
            </th>
            <th style="text-align: right;">
                <asp:Literal ID="slevaCelkemLiteral" runat="server" Text="4"></asp:Literal>
                %
            </th>
        </tr>
        <tr class="rezervaceSumCena">
            <th colspan="2">
                Konečná cena
            </th>
            <th style="text-align: right;">
                <asp:Literal ID="cenaKonecnaLiteral" runat="server" Text="0"></asp:Literal>
                Kč
            </th>
        </tr>
    </table>
    <div style="text-align: right; padding-top: 20px;">
        <asp:Button ID="pokracovatButton" runat="server" Text="Pokračovat" Enabled="false"
            OnClick="pokracovatButton_Click" />
        <asp:Panel ID="potvrditPanel" runat="server" Visible="false">
            <asp:Literal ID="errorLiteral" runat="server" Visible="false"><div style="font-weight: bold; color: Red; font-size: 1.2em;">Při ukládání rezervace došlo k chybě. Kontaktujte prosím provozovatele.</div></asp:Literal>
            Překontrolujte prosím vaši rezervaci.
            <asp:Button ID="upravitButton" runat="server" Text="UPRAVIT" OnClick="upravitButton_Click" />
            <asp:Button ID="potvrditButton" runat="server" Text="POTVRDIT REZERVACI" OnClick="potvrditButton_Click" />
        </asp:Panel>
    </div>
    <p class="poznamka">
        Uvedené ceny jsou konečné (včetně DPH).
    </p>
    <asp:SqlDataSource ID="typKurzuSqlDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
        SelectCommand="SELECT [idKurzu], [nazev] FROM [kurz] ORDER BY [nazev]"></asp:SqlDataSource>
    <asp:SqlDataSource ID="pobockaSqlDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
        SelectCommand="SELECT [idPobocky], [nazevPobocky] FROM [pobocky] ORDER BY [nazevPobocky]">
    </asp:SqlDataSource>
    <asp:SqlDataSource ID="instruktoriSqlDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
        SelectCommand="SELECT [jmeno], [UserId], [prijmeni] FROM [instruktoriView] ORDER BY [prijmeni] DESC">
    </asp:SqlDataSource>
</asp:Content>
