﻿<%@ Page Language="C#" MasterPageFile="~/RezervacniSystemMasterPage.master" AutoEventWireup="true"
    CodeFile="RezervaceSkiBalicku.aspx.cs" Inherits="RezervaceSkiBalicku" Title="Rezervace skibalíčku" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="obsahStranky" runat="Server">
    <h1>
        Rezervace ski balíčku
    </h1>
    <table style="width: 100%">
        <asp:Panel ID="terminPanel" runat="server">
            <tr>
                <th>
                    Položka
                </th>
                <th>
                    Hodnota
                </th>
                <th style="text-align: right;">
                    Sleva
                </th>
            </tr>
            <tr>
                <td colspan="3">
                    <hr />
                </td>
            </tr>
            <tr>
                <th>
                    Skibalíček:
                </th>
                <td>
                    <asp:DropDownList ID="balicekDropDownList" DataSourceID="skiBalicekSqlDataSource"
                        DataTextField="nazevSkiBalicku" DataValueField="idKurzu" AutoPostBack="true"
                        runat="server" OnSelectedIndexChanged="balicekDropDownList_SelectedIndexChanged"
                        OnDataBound="VypocitejCenuRezervace">
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td>
                </td>
                <td colspan="2">
                    <asp:Literal ID="infoKBalickuLiteral" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <th>
                    Rezervace od:
                </th>
                <td>
                    <asp:TextBox ID="rezervaceOdTextBox" ReadOnly="true" runat="server"></asp:TextBox>
                    <asp:Button ID="rezervaceOdButton" runat="server" Text="+" OnClick="rezervaceOdButton_Click" />
                    <asp:Calendar ID="rezervaceOdCalendar" Visible="false" runat="server" BackColor="White"
                        BorderColor="#3366CC" BorderWidth="1px" CellPadding="1" DayNameFormat="Shortest"
                        Font-Names="Verdana" Font-Size="8pt" ForeColor="#003399" Height="200px" Width="220px"
                        OnSelectionChanged="rezervaceOdCalendar_SelectionChanged">
                        <SelectedDayStyle BackColor="#009999" Font-Bold="True" ForeColor="#CCFF99" />
                        <SelectorStyle BackColor="#99CCCC" ForeColor="#336666" />
                        <TodayDayStyle BackColor="#FFCC66" ForeColor="White" />
                        <OtherMonthDayStyle ForeColor="#999999" />
                        <NextPrevStyle Font-Size="8pt" ForeColor="#CCCCFF" />
                        <DayHeaderStyle BackColor="#99CCCC" ForeColor="#336666" Height="1px" />
                        <TitleStyle BackColor="#003399" Font-Bold="True" Font-Size="10pt" ForeColor="#CCCCFF"
                            Height="25px" BorderColor="#3366CC" BorderWidth="1px" />
                        <WeekendDayStyle BackColor="#CCCCFF" />
                    </asp:Calendar>
                </td>
                <td class="rezervaceCeny">
                    <asp:Literal ID="slevaTerminLiteral" runat="server" Text="0"></asp:Literal>
                    %
                </td>
            </tr>
            <tr>
                <th>
                    Rezervace do:
                </th>
                <td>
                    <asp:TextBox ID="rezervaceDoTextBox" ReadOnly="true" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <th>
                    Počet osob:
                </th>
                <td>
                    <asp:TextBox ID="pocetOsobTextBox" Width="20" CssClass="alignRight" runat="server"
                        AutoPostBack="True" OnTextChanged="VypocitejCenuRezervace" ValidationGroup="specifikace">1</asp:TextBox>
                    <asp:RangeValidator ID="specifikacePocetOsobRangeValidator" runat="server" ErrorMessage="<br />Zadejte celé kladné číslo"
                        ControlToValidate="pocetOsobTextBox" Display="Dynamic" MaximumValue="9999" MinimumValue="1"
                        Type="Integer" ValidationGroup="specifikace"></asp:RangeValidator>
                    <asp:RequiredFieldValidator ID="pocetRequiredFieldValidator" ControlToValidate="pocetOsobTextBox"
                        runat="server" ErrorMessage="<br />Musíte zadat počet osob." Display="Dynamic"></asp:RequiredFieldValidator>
                </td>
                <td class="rezervaceCeny">
                    <asp:Literal ID="slevaPocetOsobLiteral" runat="server" Text="0"></asp:Literal>
                    %
                </td>
            </tr>
            <tr>
                <th>
                    Pobočka:
                </th>
                <td>
                    <asp:DropDownList ID="pobockaDropDownList" runat="server" DataSourceID="pobockaSqlDataSource"
                        DataTextField="nazevPobocky" DataValueField="idPobocky">
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <th>
                    Partnerský kód:
                </th>
                <td>
                    <asp:TextBox ID="partnerskyKodTextBox" runat="server" AutoPostBack="true" OnTextChanged="VypocitejCenuRezervace"></asp:TextBox>
                </td>
                <td class="rezervaceCeny">
                    <asp:Literal ID="slevaPartnerskyKodLiteral" runat="server" Text="0"></asp:Literal>
                    %
                </td>
            </tr>
            <tr>
                <th>
                    Preferovaný instruktor
                </th>
                <td>
                    <asp:DropDownList ID="preferovanyInstruktorDropDownList" runat="server" DataTextField="prijmeni"
                        DataValueField="UserId" DataSourceID="instruktoriSqlDataSource" OnDataBound="preferovanyInstruktorDropDownList_DataBound">
                    </asp:DropDownList>
                </td>
                <td class="rezervaceCeny">
                    online sleva
                    <asp:Literal ID="slevaOnlineLiteral" runat="server">0</asp:Literal>
                    %
                </td>
            </tr>
            <tr>
                <th>
                    Jiné sdělení:
                </th>
                <td>
                    <asp:TextBox ID="poznamkaTextBox" TextMode="MultiLine" Width="350" Height="60" runat="server"></asp:TextBox>
                </td>
            </tr>
        </asp:Panel>
        <asp:Panel ID="setyPanel" runat="server" Visible="false">
            <tr style="border-top: 3px solid gray;">
                <th>
                    Set
                </th>
                <th>
                    Výška, váha, velikost boty
                </th>
                <th></th>
            </tr>
            <asp:Panel ID="dynPlozkyPanel" runat="server">
            </asp:Panel>
        </asp:Panel>
        <tr style="border-top: 3px solid gray;">
            <th>
                Cena za
                <asp:Literal ID="pocetOsobLiteral" runat="server" Text="1 osobu"></asp:Literal>
            </th>
            <th style="text-align: right;" colspan="2">
                <asp:Literal ID="cenaPredSlevouLiteral" runat="server" Text="0"></asp:Literal>
                Kč
            </th>
        </tr>
        <tr>
            <th>
                Sleva celkem
            </th>
            <th style="text-align: right;" colspan="2">
                <asp:Literal ID="slevaCelkemLiteral" runat="server" Text="4"></asp:Literal>
                %
            </th>
        </tr>
        <tr class="rezervaceSumCena">
            <th>
                Konečná cena
            </th>
            <th style="text-align: right;"  colspan="2">
                <asp:Literal ID="cenaKonecnaLiteral" runat="server" Text="0"></asp:Literal>
                Kč
            </th>
        </tr>
    </table>
    <div style="font-weight: bold; color: Red; font-size: 1.2em;">
        <asp:Literal ID="errorLiteral" runat="server" Visible="false"></asp:Literal></div>
    <div style="text-align: right; padding-top: 20px;">
        <asp:Panel ID="terminControlPanel" runat="server">
            <asp:Button ID="pokracovatButton" runat="server" Text="Pokračovat" OnClick="pokracovatButton_Click" />
        </asp:Panel>
        <asp:Panel ID="setyControlPanel" runat="server" Visible="false">
            <asp:Button ID="upravitButton" runat="server" Text="Upravit termín" OnClick="upravitButton_Click" />
            <asp:Button ID="potvrditRezervaciButton" runat="server" Text="Pokračovat" ValidationGroup="sety"
                OnClick="portvrditRezervaciButton_Click" />
        </asp:Panel>
        <asp:Panel ID="dokoncitRezervaciControlPanel" runat="server" Visible="false">
            Překontrolujte prosím vaši rezervaci.
            <asp:Button ID="upravitSetyButton" runat="server" Text="Upravit sety" OnClick="upravitSetyButton_Click" />
            <asp:Button ID="potvrditButton" runat="server" Text="POTVRDIT REZERVACI" OnClick="potvrditButton_Click" />
        </asp:Panel>
    </div>
    <p class="poznamka">
        Uvedené ceny jsou konečné (včetně DPH).
    </p>
    <asp:SqlDataSource ID="skiBalicekSqlDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
        
        SelectCommand="SELECT [nazevSkiBalicku], [idKurzu] FROM [skibalicekRezervaceView]">
    </asp:SqlDataSource>
    <asp:SqlDataSource ID="setSqlDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
        SelectCommand="SELECT [idVybaveni], [nazev] FROM [lyzarskeVybaveni] ORDER BY [nazev]">
    </asp:SqlDataSource>
    <asp:SqlDataSource ID="typKurzuSqlDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
        SelectCommand="SELECT [idKurzu], [nazev] FROM [kurz] ORDER BY [nazev]"></asp:SqlDataSource>
    <asp:SqlDataSource ID="pobockaSqlDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
        SelectCommand="SELECT [idPobocky], [nazevPobocky] FROM [pobocky] ORDER BY [nazevPobocky]">
    </asp:SqlDataSource>
    <asp:SqlDataSource ID="instruktoriSqlDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
        SelectCommand="SELECT [jmeno], [UserId], [prijmeni] FROM [instruktoriView] ORDER BY [prijmeni] DESC">
    </asp:SqlDataSource>
</asp:Content>
