﻿<%@ Page Language="C#" MasterPageFile="~/RezervacniSystemMasterPage.master" AutoEventWireup="true"
    CodeFile="Rezervace.aspx.cs" Inherits="admin_Rezervace" Title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="obsahStranky" runat="Server">
    <h1>
        Rezervace
    </h1>
    <asp:Panel ID="prehledRezervaciPanel" runat="server">
        <p>
            <strong>Vyberte stav rezervace:</strong><br />
            <asp:RadioButtonList ID="stavRezervaceRadioButtonList" runat="server" AutoPostBack="True"
                RepeatDirection="Horizontal" RepeatLayout="Flow" DataSourceID="stavyRezervaciObjectDataSource"
                DataTextField="stavRezervace" DataValueField="idStavuRezervace">
            </asp:RadioButtonList>
        </p>
        <asp:GridView ID="rezervaceGridView" runat="server" DataSourceID="rezervaceObjectDataSource"
            AutoGenerateColumns="False">
            <Columns>
                <asp:BoundField DataField="idRezervace" HeaderText="Ref. č." SortExpression="idRezervace" />
                <asp:BoundField DataField="od" DataFormatString="{0:dd.MM.yyyy}" HeaderText="Začátek"
                    SortExpression="od" />
                <asp:BoundField DataField="do" DataFormatString="{0:dd.MM.yyyy}" HeaderText="Konec"
                    SortExpression="do" />
                <asp:BoundField DataField="nazevPobocky" HeaderText="Pobočka" SortExpression="nazevPobocky" />
                <asp:BoundField DataField="cenaPredSlevou" DataFormatString="{0:f2} Kč" HeaderText="Cena před slevou"
                    SortExpression="cenaPredSlevou">
                    <ItemStyle HorizontalAlign="Right" />
                </asp:BoundField>
                <asp:BoundField DataField="slevaCelkem" DataFormatString="{0} %" HeaderText="Sleva"
                    SortExpression="slevaCelkem">
                    <ItemStyle HorizontalAlign="Right" />
                </asp:BoundField>
                <asp:BoundField DataField="cenaKonecna" DataFormatString="{0:f2} Kč" HeaderText="Konečná cena"
                    SortExpression="cenaKonecna">
                    <ItemStyle HorizontalAlign="Right" />
                </asp:BoundField>
                <asp:HyperLinkField DataNavigateUrlFields="idRezervace" DataNavigateUrlFormatString="?action=update&amp;id={0}"
                    HeaderText="Upravit" Text="upravit" />
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="rezervaceObjectDataSource" runat="server" SelectMethod="NacistSeznamRezervaciPodleStavuRezervace"
            TypeName="SpravceRezervaci">
            <SelectParameters>
                <asp:ControlParameter ControlID="stavRezervaceRadioButtonList" DefaultValue="-1"
                    Name="idStavuRezervace" PropertyName="SelectedValue" Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
    </asp:Panel>
    <asp:Panel ID="detailPanel" runat="server" Visible="false">
        <h2>
            Informace o rezervaci</h2>
        <table style="width: 100%">
            <tr>
                <th>
                    Zákazník:
                </th>
                <td>
                    <asp:Literal ID="zakaznikLiteral" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <th>
                    Stav rezervace
                </th>
                <td>
                    <asp:DropDownList ID="stavRezervaceDropDownList" runat="server" DataSourceID="stavyRezervaciObjectDataSource"
                        DataTextField="stavRezervace" DataValueField="idStavuRezervace">
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <td colspan="3">
                    <hr />
                </td>
            </tr>
            <tr>
                <th>
                    Rezervace od:
                </th>
                <td>
                    <asp:TextBox ID="rezervaceOdTextBox" ReadOnly="true" runat="server"></asp:TextBox>
                    <asp:Button ID="rezervaceOdButton" runat="server" Text="+" OnClick="rezervaceOdButton_Click" />
                    <asp:Calendar ID="rezervaceOdCalendar" Visible="false" runat="server" OnSelectionChanged="rezervaceOdCalendar_SelectionChanged">
                    </asp:Calendar>
                </td>
                <td class="rezervaceCeny">
                    Sleva termín
                    <asp:TextBox ID="slevaTerminTextBox" Width="40" runat="server"></asp:TextBox>%
                </td>
            </tr>
            <tr>
                <th>
                    Rezervace do:
                </th>
                <td>
                    <asp:TextBox ID="rezervaceDoTextBox" ReadOnly="true" runat="server"></asp:TextBox>
                    <asp:Button ID="rezervaceDoButton" runat="server" Text="+" OnClick="rezervaceDoButton_Click" />
                    <asp:Calendar ID="rezervaceDoCalendar" Visible="false" runat="server" OnSelectionChanged="rezervaceDoCalendar_SelectionChanged">
                    </asp:Calendar>
                </td>
            </tr>
            <tr>
                <th>
                    Pobočka:
                </th>
                <td>
                    <asp:DropDownList ID="pobockaDropDownList" runat="server" DataSourceID="pobockaSqlDataSource"
                        DataTextField="nazevPobocky" DataValueField="idPobocky">
                    </asp:DropDownList>
                </td>
            </tr>
            <tr>
                <th>
                    Partnerský kód:
                </th>
                <td>
                    <asp:TextBox ID="partnerskyKodTextBox" runat="server"></asp:TextBox>
                </td>
                <td class="rezervaceCeny">
                    Sleva kód
                    <asp:TextBox ID="slevaPartnerskyKodTextBox" Width="40" runat="server"></asp:TextBox>%
                </td>
            </tr>
            <tr>
                <th>
                    Jiné sdělení:
                </th>
                <td>
                    <asp:Literal ID="jineSdeleniTextBoxLiteral" runat="server"></asp:Literal>
                </td>
                <td class="rezervaceCeny">
                    Sleva za počet osob
                    <asp:TextBox ID="slevaPocetTextBox" Width="40" runat="server"></asp:TextBox>%
                    <br />
                    Sleva za on-line rezervaci
                    <asp:TextBox ID="slevaOnlineTextBox" Width="40" runat="server"></asp:TextBox>%
                </td>
            </tr>
            <tr>
                <th>
                    Poznámka:
                </th>
                <td>
                    <asp:TextBox ID="poznamkaAdminTextBox" TextMode="MultiLine" Width="300" Height="60"
                        runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td colspan="3">
                    <hr />
                </td>
            </tr>
            <tr>
                <th colspan="2">
                    Cena před slevou
                </th>
                <td style="text-align: right;">
                    <asp:TextBox ID="cenaPredSlevouTextBox" Width="80" runat="server"></asp:TextBox>
                    Kč
                </td>
            </tr>
            <tr>
                <th colspan="2">
                    Celková sleva
                </th>
                <td style="text-align: right;">
                    <asp:TextBox ID="slevaCelkemTextBox" Width="40" runat="server"></asp:TextBox>
                    %
                </td>
            </tr>
            <tr>
                <th colspan="2">
                    Konečná cena
                </th>
                <td style="text-align: right;">
                    <asp:TextBox ID="konecnaCenaTextBox" Width="80" runat="server"></asp:TextBox>
                    Kč
                </td>
            </tr>
            <tr class="rezervaceSumCena">
                <td colspan="3" style="text-align: right">
                    <asp:Label ID="ulozeniRezervaceInfoLabel" runat="server" Text=""></asp:Label>
                    <asp:Button ID="ulozitRezervaciButton" runat="server" Text="ULOŽIT ZMĚNY" OnClick="ulozitRezervaciButton_Click" />
                    <asp:Button ID="zpetButton" runat="server" Text="ZPĚT" OnClick="zpetButton_Click" />
                </td>
            </tr>
        </table>
        <h2>
            Informace o rezervaci lyžařského kurzu</h2>
        <asp:Label ID="noRezervaceLyzarskyKurzLabel" runat="server" v Visible="false" Text="Rezervace lyžařského kurzu není součástí této rezervace."></asp:Label>
        <asp:Panel ID="rezervaceLyzarskehoKurzuPanel" runat="server">
            <table style="width: 100%;">
                <tr>
                    <th>
                        Kurz:
                    </th>
                    <td>
                        <asp:DropDownList ID="typKurzuDropDownList" runat="server" DataSourceID="typKurzuSqlDataSource"
                            DataTextField="nazev" DataValueField="nazev">
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <th>
                        Počet osob:
                    </th>
                    <td>
                        <asp:TextBox ID="pocetOsobTextBox" Width="20" CssClass="alignRight" runat="server"
                            ValidationGroup="specifikace">1</asp:TextBox>
                        <asp:RangeValidator ID="specifikacePocetOsobRangeValidator" runat="server" ErrorMessage="<br />Zadejte celé kladné číslo"
                            ControlToValidate="pocetOsobTextBox" Display="Dynamic" MaximumValue="9999" MinimumValue="1"
                            Type="Integer" ValidationGroup="specifikace"></asp:RangeValidator>
                        <asp:RequiredFieldValidator ID="pocetRequiredFieldValidator" ControlToValidate="pocetOsobTextBox"
                            runat="server" ErrorMessage="<br />Musíte zadat počet osob." Display="Dynamic"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <th>
                        Zpětné hodnocení:
                    </th>
                    <td>
                        <asp:Literal ID="zpětneHodnoceniLiteral" runat="server"></asp:Literal>
                    </td>
                </tr>
                <tr>
                    <th>
                        Preferovaný instruktor:
                    </th>
                    <td>
                        <asp:Literal ID="preferovanyInstruktorLiteral" runat="server"></asp:Literal>
                    </td>
                </tr>
                <tr>
                    <th>
                        Skutečný instruktor:
                    </th>
                    <td>
                        <asp:DropDownList ID="skutecnyInstruktorDropDownList" runat="server" DataTextField="prijmeni"
                            DataValueField="UserId" DataSourceID="instruktoriSqlDataSource" OnDataBound="SkutecnyInstruktorDropDownList_DataBound">
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr class="rezervaceSumCena">
                    <td colspan="3" style="text-align: right">
                        <asp:Label ID="ulozeniRezervaceLyzarskeVyukyInfoLabel" runat="server" Text=""></asp:Label>
                        <asp:Button ID="ulozitRezervaciLyzarskeVyukyButton" runat="server" Text="ULOŽIT ZMĚNY"
                            OnClick="ulozitRezervaciLyzarskeVyukyButton_Click" />
                        <asp:Button ID="zpetRezervaceLyzarskeVyukyButton" runat="server" Text="ZPĚT" OnClick="zpetButton_Click" />
                    </td>
                </tr>
            </table>
            <asp:SqlDataSource ID="typKurzuSqlDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
                SelectCommand="SELECT [nazev] FROM [adminRezervaceKurzView]"></asp:SqlDataSource>
            <asp:SqlDataSource ID="instruktoriSqlDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
                SelectCommand="SELECT [jmeno], [UserId], [prijmeni] FROM [instruktoriView] ORDER BY [prijmeni] DESC">
            </asp:SqlDataSource>
        </asp:Panel>
        <h2>
            Informace o rezervaci lyžařského vybavení
        </h2>
        <asp:Panel ID="lyzarskeVybaveniPanel" runat="server" Visible="false">
            <table>
                <tr style="border-top: 3px solid gray;">
                    <td colspan="3">
                        <asp:Table ID="lyzarskeVybaveniTable" runat="server" CssClass="meobjednavky">
                            <asp:TableHeaderRow>
                                <asp:TableHeaderCell>Set</asp:TableHeaderCell>
                                <asp:TableHeaderCell>Výška, váha, velikost boty</asp:TableHeaderCell>
                                <asp:TableHeaderCell><span style="float: right;">Cena</span></asp:TableHeaderCell>
                            </asp:TableHeaderRow>
                        </asp:Table>
                    </td>
                </tr>
            </table>
        </asp:Panel>
        <asp:SqlDataSource ID="pobockaSqlDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
            SelectCommand="SELECT [idPobocky], [nazevPobocky] FROM [pobocky] ORDER BY [nazevPobocky]">
        </asp:SqlDataSource>
    </asp:Panel>
    <asp:ObjectDataSource ID="stavyRezervaciObjectDataSource" runat="server" SelectMethod="NacistStavyRezervaci"
        TypeName="SpravceRezervaci"></asp:ObjectDataSource>
</asp:Content>
