﻿<%@ Page Language="C#" MasterPageFile="~/RezervacniSystemMasterPage.master" AutoEventWireup="true"
    CodeFile="UzivateleDetail.aspx.cs" Inherits="admin_UzivateleDetail" Title="Detail uživatele" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="obsahStranky" runat="Server">
    <h1>
        <asp:Literal ID="h1Literal" runat="server"></asp:Literal>
    </h1>
    <table class="createUser">
        <asp:Panel ID="uzivatelViewPanel" runat="server" Visible="false">
            <tr>
                <td colspan="2">
                    <h2>
                        Osobní údaje
                    </h2>
                </td>
            </tr>
            <tr>
                <th>
                    Uživatelské jméno:
                </th>
                <td>
                    <asp:Literal ID="userNameViewLiteral" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <th>
                    E-mail:
                </th>
                <td>
                    <asp:Literal ID="emailLiteral" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <th>
                    Jméno:
                </th>
                <td>
                    <asp:Literal ID="jmenoLiteral" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <th>
                    Příjmení:
                </th>
                <td>
                    <asp:Literal ID="prijmeniLiteral" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <th>
                    Telefon:
                </th>
                <td>
                    <asp:Literal ID="telefonLiteral" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <th>
                    Role v systému:
                </th>
                <td>
                    <asp:Literal ID="roleLiteral" runat="server"></asp:Literal>
                </td>
            </tr>
        </asp:Panel>
        <asp:Panel ID="uzivatelUpdatePanel" runat="server" Visible="false">
            <tr>
                <th>
                    Uživatelské jméno:
                </th>
                <td>
                    <asp:Literal ID="userNameLiteral" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <th>
                    <asp:Label ID="EmailLabel" runat="server" AssociatedControlID="Email">E-mail:</asp:Label>
                </th>
                <td>
                    <asp:TextBox ID="Email" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="EmailRequired" runat="server" ControlToValidate="Email"
                        ErrorMessage="E-mail je nutný vyplnit." ToolTip="Vyplňte e-mail." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="emailRegularExpressionValidator" runat="server"
                        ValidationGroup="createUserWizard" ErrorMessage="<br />Zadaný e-mail nemá správný formát."
                        ControlToValidate="Email" Display="Dynamic" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <th>
                    <asp:Label ID="jmenoLabel" runat="server">Jméno:</asp:Label>
                </th>
                <td>
                    <asp:TextBox ID="jmenoTextBox" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="jmenoRequiredFieldValidator" runat="server" ControlToValidate="jmenoTextBox"
                        ErrorMessage="Jméno je nutné vyplnit." ToolTip="Vyplňte jméno." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <th>
                    <asp:Label ID="prijmeniLabel" runat="server">Příjmení:</asp:Label>
                </th>
                <td>
                    <asp:TextBox ID="prijmeniTextBox" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="prijmeniRequiredFieldValidator" runat="server" ControlToValidate="prijmeniTextBox"
                        ErrorMessage="Příjmení je nutné vyplnit." ToolTip="Vyplňte příjmení." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <th>
                    <asp:Label ID="telefonLabel" runat="server">Telefon:</asp:Label>
                </th>
                <td>
                    <asp:TextBox ID="telefonTextBox" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="telefonRequiredFieldValidator" runat="server" ControlToValidate="telefonTextBox"
                        ErrorMessage="Telefon je nutné vyplnit." ToolTip="Vyplňte telefon." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                </td>
            </tr>
        </asp:Panel>
        <asp:Panel ID="zakaznikViewPanel" runat="server" Visible="false">
            <tr>
                <td colspan="2">
                    <h2>
                        Údaje zákazníka
                    </h2>
                </td>
            </tr>
            <tr>
                <th>
                    Ulice a č.p.:
                </th>
                <td>
                    <asp:Literal ID="uliceLiteral" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <th>
                    Město:
                </th>
                <td>
                    <asp:Literal ID="mestoLiteral" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <th>
                    PSČ:
                </th>
                <td>
                    <asp:Literal ID="pscLiteral" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <asp:Button ID="upravitZakaznikButton" runat="server" Text="Upravit zákazníka" OnClick="upravitUzivateleButton_Click" />
                </td>
            </tr>
        </asp:Panel>
        <asp:Panel ID="zakaznikUpdatePanel" runat="server" Visible="false">
            <tr>
                <th>
                    <asp:Label ID="uliceLabel" runat="server">Ulice a č.p.:</asp:Label>
                </th>
                <td>
                    <asp:TextBox ID="uliceTextBox" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="uliceRequiredFieldValidator" runat="server" ControlToValidate="uliceTextBox"
                        ErrorMessage="Ulice a č.p. je nutné vyplnit." ToolTip="Vyplňte ulici a č.p.."
                        ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <th>
                    <asp:Label ID="mestoLabel" runat="server">Město:</asp:Label>
                </th>
                <td>
                    <asp:TextBox ID="mestoTextBox" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="mestoRequiredFieldValidator" runat="server" ControlToValidate="mestoTextBox"
                        ErrorMessage="Město je nutné vyplnit." ToolTip="Vyplňte město." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <th>
                    <asp:Label ID="pscLabel" runat="server">PSČ (bez mezery):</asp:Label>
                </th>
                <td>
                    <asp:TextBox ID="pscTextBox" MaxLength="5" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="pscRequiredFieldValidator" runat="server" ControlToValidate="pscTextBox"
                        ErrorMessage="PSČ je nutné vyplnit." ToolTip="Vyplňte PSČ." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Button ID="ulozZakaznikButton" runat="server" Text="Uložit změny" OnClick="ulozZakaznikButton_Click" />
                </td>
                <td>
                    <asp:Button ID="zpetZakaznikButton" runat="server" Text="Zpět" OnClick="zpetZakaznikButton_Click" />
                </td>
            </tr>
        </asp:Panel>
        <asp:Panel ID="partnerViewPanel" runat="server" Visible="false">
            <tr>
                <td colspan="2">
                    <h2>
                        Údaje partnera
                    </h2>
                </td>
            </tr>
            <tr>
                <td>
                    Partnerský kód:
                </td>
                <td>
                    <asp:Literal ID="partnerskyKodLiteral" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <asp:Button ID="upravitParnteraButton" runat="server" Text="Upravit partnera" OnClick="upravitParnteraButton_Click" />
                </td>
            </tr>
        </asp:Panel>
        <asp:Panel ID="partnerUpdatePanel" runat="server" Visible="false">
            <tr>
                <th>
                    Partnerský kód:
                </th>
                <td>
                    <asp:Literal ID="partnerskyKodUpdateLiteral" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Button ID="zpetPartnerButton" runat="server" Text="Zpět" OnClick="zpetPartnerButton_Click" />
                </td>
                <td>
                    <asp:Button ID="ulozizZmenyPartnerButton" runat="server" Text="Uložit změny" OnClick="ulozizZmenyPartnerButton_Click" />
                </td>
            </tr>
        </asp:Panel>
        <asp:Panel ID="instruktorViewPanel" runat="server" Visible="false">
            <tr>
                <td colspan="2">
                    <h2>
                        Údaje instruktora
                    </h2>
                </td>
            </tr>
            <tr>
                <th>
                    Informace:
                </th>
                <td>
                    <asp:Literal ID="informaceInstruktorLiteral" runat="server"></asp:Literal>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <asp:Button ID="upravitInstruktorButton" runat="server" Text="Upravit instruktora"
                        OnClick="upravitInstruktorButton_Click" />
                </td>
            </tr>
        </asp:Panel>
        <asp:Panel ID="instruktorUpdatePanel" runat="server" Visible="false">
            <tr>
                <th>
                    Informace:
                </th>
                <td>
                    <asp:TextBox ID="informaceTextBox" TextMode="MultiLine" Width="250" Height="60" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Button ID="zpetInstruktorButton" runat="server" Text="Zpět" OnClick="zpetInstruktorButton_Click" />
                </td>
                <td>
                    <asp:Button ID="ulozitZnenyInstruktorButton" runat="server" Text="Uložit změny" OnClick="ulozitZnenyInstruktorButton_Click" />
                </td>
            </tr>
        </asp:Panel>
        <asp:Panel ID="adminViewPanel" runat="server" Visible="false">
            <tr>
                <td colspan="2">
                    <h2>
                        Údaje administrátora
                    </h2>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <asp:Button ID="upravitAdministratorButton" runat="server" Text="Upravit administrátora"
                        OnClick="upravitAdministratorButton_Click" />
                </td>
            </tr>
        </asp:Panel>
        <asp:Panel ID="adminUpdatePanel" runat="server" Visible="false">
            <tr>
                <td>
                    <asp:Button ID="zpetAdminButton" runat="server" Text="Zpět" OnClick="zpetAdminButton_Click" />
                </td>
                <td>
                    <asp:Button ID="ulozitAdminButton" runat="server" Text="Uložit změny" OnClick="ulozitAdminButton_Click" />
                </td>
            </tr>
        </asp:Panel>
    </table>
    <p>
        Zpět na
        <asp:LinkButton ID="zpetLinkButton" PostBackUrl="~/admin/Uzivatele.aspx" runat="server">seznam uživatelů</asp:LinkButton>.
    </p>
</asp:Content>
