﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

/// <summary>
/// Summary description for Adresa
/// </summary>
public class Adresa
{
    private string ulice;
    private string mesto;
    private string psc;

    public Adresa()
    {
        this.ulice = "";
        this.mesto = "";
        this.psc = "";
    }

    /// <summary>
    /// Konstruktor Adresa
    /// </summary>
    /// <param name="ulice">Ulice a č.p.</param>
    /// <param name="mesto">Město</param>
    /// <param name="psc">PSČ</param>
    public Adresa(string ulice, string mesto, string psc)
    {
        this.ulice = ulice;
        this.mesto = mesto;
        this.psc = psc;
    }

    /// <summary>
    /// Vrátí nebo nastaví ulici a č.p.
    /// </summary>
    public string Ulice
    {
        get { return ulice; }
        set { this.ulice = value; }
    }

    /// <summary>
    /// Vrátí nebo nastaví město
    /// </summary>
    public string Mesto
    {
        get { return mesto; }
        set { this.mesto = value; }
    }

    /// <summary>
    /// Vrátí nebo nastaví PSČ
    /// </summary>
    public string Psc
    {
        get { return psc; }
        set { this.psc = value; }
    }
}


