﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;

/// <summary>
/// Summary description for Uzivatel
/// </summary>
public class Uzivatel
{
    private string id;
    private string nick;
    private string heslo;
    private string jmeno;
    private string prijmeni;
    private string email;
    private string telefonniCislo;

    public Uzivatel(string id)
    {
        this.id = id;
    }

    public Uzivatel(string id, string nick, string heslo, string jmeno, string prijmeni, string email, string telefonniCislo)
    {
        this.id = id;
        this.nick = nick;
        this.heslo = heslo;
        this.jmeno = jmeno;
        this.prijmeni = prijmeni;
        this.email = email;
        this.telefonniCislo = telefonniCislo;
    }

    public string Id
    {
        get { return id; }
        set { id = value; }
    }

    public string Nick
    {
        get { return nick; }
        set { this.nick = value; }
    }

    public string Heslo
    {
        get { return heslo; }
        set { this.heslo = value; }
    }

    public string Jmeno
    {
        get { return jmeno; }
        set { this.jmeno = value; }
    }

    public string Prijmeni
    {
        get { return prijmeni; }
        set { this.prijmeni = value; }
    }

    public string Email
    {
        get { return email; }
        set { this.email = value; }
    }

    /// <summary>
    /// Vrátí nebo nastaví telefonní číslo
    /// </summary>
    public string TelefonniCislo
    {
        get { return telefonniCislo; }
        set { this.telefonniCislo = value; }
    }


    /// <summary>
    /// Načte uživatele do databáze.
    /// </summary>
    /// <returns><c>True</c> v případě, že načtení proběhlo úspěšně, jinak <c>False</c>.</returns>
    public bool Nacist()
    {
        if (this.Id != null)
        {
            try
            {
                Databaze databaze = new Databaze();
                databaze.SetCommandText("SELECT UserName, jmeno, prijmeni, email, telefon  FROM aspnet_Users, aspnet_Membership WHERE aspnet_Users.UserId=aspnet_Membership.UserId AND aspnet_Users.UserId='" + this.id + "';");
                SqlDataReader reader = databaze.ExecuteReader();
                while (reader.Read())
                {
                    this.nick = reader["UserName"].ToString();
                    this.jmeno = reader["jmeno"].ToString();
                    this.prijmeni = reader["prijmeni"].ToString();
                    this.email = reader["email"].ToString();
                    this.telefonniCislo = reader["telefon"].ToString();
                    return true;
                }
            }
            catch (Exception)
            {
                return false;
            }
        }
        return false;
    }


    /// <summary>
    /// Uloží uživatele do databáze.
    /// </summary>
    /// <returns><c>True</c> v případě, že uložení proběhlo úspěšně, jinak <c>False</c>.</returns>
    public bool Ulozit()
    {
        try
        {
            Databaze databaze = new Databaze();
            databaze.SetCommandText("UPDATE aspnet_Membership SET Email='" + this.email + "' WHERE UserId='" + this.id + "';");
            databaze.ExecuteReader();
            databaze.SetCommandText("UPDATE aspnet_Users SET jmeno='" + this.jmeno + "', prijmeni='" + this.prijmeni + "', telefon='" + this.telefonniCislo + "' WHERE UserId='" + this.id + "'");
            databaze.ExecuteReader();
            return true;
        }
        catch (Exception)
        {
            return false;
        }
    }

    /// <summary>
    /// Zjistí id uživatele.
    /// </summary>
    /// <param name="userName">User name uživatele.</param>
    /// <returns>Id uživatele.</returns>
    public static string ZjistitIdUzivatele(string userName)
    {
        Databaze databaze = new Databaze();
        databaze.SetCommandText("SELECT UserId FROM aspnet_Users WHERE UserName='" + userName + "';");
        SqlDataReader reader = databaze.ExecuteReader();
        while (reader.Read())
        {
            return reader["UserId"].ToString();
        }
        return "";
    }

}
