﻿<%@ Page Language="C#" MasterPageFile="~/RezervacniSystemMasterPage.master" AutoEventWireup="true"
    CodeFile="Forum.aspx.cs" Inherits="Forum" Title="Diskusní fórum" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="obsahStranky" runat="Server">
    <asp:Panel ID="seznamPanel" runat="server">
        <h1>
            Fórum
        </h1>
        <p style="text-align: right; padding-right: 50px;">
            <a href="#pridatVzkaz">přidat nový vzkaz</a>
        </p>
        <asp:GridView ID="forumGridView" runat="server" AutoGenerateColumns="False" CellPadding="2"
            DataSourceID="forumObjectDataSource" ForeColor="White" GridLines="None" Width="580px"
            AllowPaging="True" onrowdatabound="forumGridView_RowDataBound">
            <FooterStyle BackColor="Tan" />
            <Columns>
                <asp:BoundField DataField="datumVlozeni" HeaderText="Datum vložení" />
                <asp:BoundField DataField="UserName" HeaderText="Uživatelské jméno" />
                <asp:BoundField DataField="text" HeaderText="Vzkaz" />
            </Columns>
            <PagerStyle BackColor="#ffff00" ForeColor="Black" HorizontalAlign="Center" />
            <HeaderStyle BackColor="#ffff00" Font-Bold="True" ForeColor="Black" />
            <AlternatingRowStyle BackColor="#4a3f40" />
        </asp:GridView>
    </asp:Panel>
    <h2 style="font-size: 1.2em;">
        <a name="pridatVzkaz">Přidat nový vzkaz do fóra</a>
    </h2>
    <asp:Panel ID="logInPanel" runat="server" Visible="false">
        <asp:TextBox ID="vzkazTextBox" TextMode="MultiLine" runat="server" Width="500" Height="50"></asp:TextBox>
        <asp:RequiredFieldValidator ID="vzkazRequiredFieldValidator" runat="server" ErrorMessage="&lt;br /&gt;Musíte zadat text vzkazu"
            ControlToValidate="vzkazTextBox" Display="Dynamic"></asp:RequiredFieldValidator>
        <asp:Button ID="vlozitButton" runat="server" Text="Přidat" OnClick="vlozitButton_Click" />
    </asp:Panel>
    <asp:Panel ID="logOutPanel" runat="server">
        <p>
            Pro přidání vzkazu do tohoto fóra se nejprve musíte přihlásit.</p>
    </asp:Panel>
    <asp:ObjectDataSource ID="forumObjectDataSource" runat="server" SelectMethod="NactiVzkazyDiskusnihoFora"
        TypeName="SpravceDiskusnihoFora">
        <SelectParameters>
            <asp:Parameter DefaultValue="0" Name="forum" Type="Int32" />
        </SelectParameters>
    </asp:ObjectDataSource>
</asp:Content>
