﻿<%@ Page Language="C#" MasterPageFile="~/RezervacniSystemMasterPage.master" AutoEventWireup="true"
    CodeFile="MujUcet.aspx.cs" Inherits="MujUcet" Title="Můj účet" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="obsahStranky" runat="Server">
    <h1>
        Informace o účtu</h1>
    <h2>
        Osobní údaje
    </h2>
    <table border="0" class="createUser">
        <tr>
            <th>
                Uživatelské jméno:
            </th>
            <td>
                <asp:Literal ID="userNameLiteral" runat="server"></asp:Literal>
            </td>
        </tr>
        <tr>
            <th>
                <asp:Label ID="EmailLabel" runat="server" AssociatedControlID="Email">E-mail:</asp:Label>
            </th>
            <td>
                <asp:TextBox ID="Email" runat="server"></asp:TextBox>
                <asp:RequiredFieldValidator ID="EmailRequired" runat="server" ControlToValidate="Email"
                    ErrorMessage="E-mail je nutný vyplnit." ToolTip="Vyplňte e-mail." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                <asp:RegularExpressionValidator ID="emailRegularExpressionValidator" runat="server"
                    ValidationGroup="createUserWizard" ErrorMessage="<br />Zadaný e-mail nemá správný formát."
                    ControlToValidate="Email" Display="Dynamic" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
            </td>
        </tr>
        <tr>
            <th>
                <asp:Label ID="jmenoLabel" runat="server">Jméno:</asp:Label>
            </th>
            <td>
                <asp:TextBox ID="jmenoTextBox" runat="server"></asp:TextBox>
                <asp:RequiredFieldValidator ID="jmenoRequiredFieldValidator" runat="server" ControlToValidate="jmenoTextBox"
                    ErrorMessage="Jméno je nutné vyplnit." ToolTip="Vyplňte jméno." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <th>
                <asp:Label ID="prijmeniLabel" runat="server">Příjmení:</asp:Label>
            </th>
            <td>
                <asp:TextBox ID="prijmeniTextBox" runat="server"></asp:TextBox>
                <asp:RequiredFieldValidator ID="prijmeniRequiredFieldValidator" runat="server" ControlToValidate="prijmeniTextBox"
                    ErrorMessage="Příjmení je nutné vyplnit." ToolTip="Vyplňte příjmení." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
            </td>
        </tr>
        <tr>
            <th>
                <asp:Label ID="telefonLabel" runat="server">Telefon:</asp:Label>
            </th>
            <td>
                <asp:TextBox ID="telefonTextBox" runat="server"></asp:TextBox>
                <asp:RequiredFieldValidator ID="telefonRequiredFieldValidator" runat="server" ControlToValidate="telefonTextBox"
                    ErrorMessage="Telefon je nutné vyplnit." ToolTip="Vyplňte telefon." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
            </td>
        </tr>
            <asp:Panel ID="zakaznikPanel" runat="server" Visible="false">
                <tr>
                    <th>
                        <asp:Label ID="uliceLabel" runat="server">Ulice a č.p.:</asp:Label>
                    </th>
                    <td>
                        <asp:TextBox ID="uliceTextBox" runat="server"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="uliceRequiredFieldValidator" runat="server" ControlToValidate="uliceTextBox"
                            ErrorMessage="Ulice a č.p. je nutné vyplnit." ToolTip="Vyplňte ulici a č.p.."
                            ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <th>
                        <asp:Label ID="mestoLabel" runat="server">Město:</asp:Label>
                    </th>
                    <td>
                        <asp:TextBox ID="mestoTextBox" runat="server"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="mestoRequiredFieldValidator" runat="server" ControlToValidate="mestoTextBox"
                            ErrorMessage="Město je nutné vyplnit." ToolTip="Vyplňte město." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <th>
                        <asp:Label ID="pscLabel" runat="server">PSČ (bez mezery):</asp:Label>
                    </th>
                    <td>
                        <asp:TextBox ID="pscTextBox" MaxLength="5" runat="server"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="pscRequiredFieldValidator" runat="server" ControlToValidate="pscTextBox"
                            ErrorMessage="PSČ je nutné vyplnit." ToolTip="Vyplňte PSČ." ValidationGroup="createUserWizard">*</asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Button ID="ulozZakaznikButton" runat="server" Text="Uložit změny" OnClick="ulozZakaznikButton_Click" />
                    </td>
                </tr>
            </asp:Panel>
        <asp:Panel ID="instruktorPanel" runat="server" Visible="false">
            <tr>
                <th>
                    Informace:
                </th>
                <td>
                    <asp:TextBox ID="informaceTextBox" TextMode="MultiLine" Width="250" Height="60" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Button ID="ulozInstruktorButton" runat="server" Text="Uložit změny" OnClick="ulozInstruktorButton_Click" />
                </td>
            </tr>
        </asp:Panel>
        <asp:Panel ID="partnerPanel" runat="server" Visible="false">
            <tr>
                <th>
                    Firma:
                </th>
                <td>
                    <asp:TextBox ID="firmaTextBox" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <th>
                    Partnerský kód:
                </th>
                <td>
                    <asp:Label ID="partnerskyKodLabel" CssClass="zvyreznenaInformace" runat="server"
                        Text="-"></asp:Label>
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Button ID="ulozPartnerButton" runat="server" Text="Uložit změny" OnClick="ulozPartnerButton_Click" />
                </td>
            </tr>
        </asp:Panel>
        <asp:Panel ID="adminPanel" runat="server" Visible="false">
            <tr>
                <td>
                    <asp:Button ID="ulozAdminButton" runat="server" Text="Uložit změny" OnClick="ulozAdminButton_Click" />
                </td>
            </tr>
        </asp:Panel>
        <tr>
            <td align="center" colspan="2" style="color: Red;">
                <asp:Literal ID="ErrorMessage" runat="server" EnableViewState="False"></asp:Literal>
            </td>
        </tr>
    </table>
    <h2>
        Změna hesla
    </h2>
    <asp:ChangePassword ID="ChangePassword" runat="server">
        <ChangePasswordTemplate>
            <table class="createUser">
                <tr>
                    <td>
                        <table border="0" cellpadding="0">
                            <tr>
                                <th>
                                    <asp:Label ID="CurrentPasswordLabel" runat="server" AssociatedControlID="CurrentPassword">Staré heslo:</asp:Label>
                                </th>
                                <td>
                                    <asp:TextBox ID="CurrentPassword" runat="server" TextMode="Password"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="CurrentPasswordRequired" runat="server" ControlToValidate="CurrentPassword"
                                        ErrorMessage="Heslo musí být zadáno." ToolTip="Zadejte heslo." ValidationGroup="ChangePassword">*</asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    <asp:Label ID="NewPasswordLabel" runat="server" AssociatedControlID="NewPassword">Nové heslo:</asp:Label>
                                </th>
                                <td>
                                    <asp:TextBox ID="NewPassword" runat="server" TextMode="Password"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="NewPasswordRequired" runat="server" ControlToValidate="NewPassword"
                                        ErrorMessage="Nové heslo je vyžadováno." ToolTip="Zadejte nové heslo." ValidationGroup="ChangePassword">*</asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    <asp:Label ID="ConfirmNewPasswordLabel" runat="server" AssociatedControlID="ConfirmNewPassword">Potvrzení nového hesla:</asp:Label>
                                </th>
                                <td>
                                    <asp:TextBox ID="ConfirmNewPassword" runat="server" TextMode="Password"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="ConfirmNewPasswordRequired" runat="server" ControlToValidate="ConfirmNewPassword"
                                        ErrorMessage="Je vyžadováno potvrzení nového hesla." ToolTip="Potvrďte nové heslo."
                                        ValidationGroup="ChangePassword">*</asp:RequiredFieldValidator>
                                </td>
                            </tr>
                            <tr>
                                <td align="center" colspan="2">
                                    <asp:CompareValidator ID="NewPasswordCompare" runat="server" ControlToCompare="NewPassword"
                                        ControlToValidate="ConfirmNewPassword" Display="Dynamic" ErrorMessage="Nová hesla se neshodují.."
                                        ValidationGroup="ChangePassword"></asp:CompareValidator>
                                </td>
                            </tr>
                            <tr>
                                <td align="center" colspan="2" style="color: Red;">
                                    <asp:Literal ID="FailureText" runat="server" EnableViewState="False"></asp:Literal>
                                </td>
                            </tr>
                            <tr>
                                <th>
                                    <asp:Button ID="ChangePasswordPushButton" runat="server" CommandName="ChangePassword"
                                        Text="Změnit heslo" ValidationGroup="ChangePassword" />
                                </th>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </ChangePasswordTemplate>
    </asp:ChangePassword>
</asp:Content>
