﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class NovaRezervace : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (Page.User.Identity.IsAuthenticated)
        {
            odkazNaRezervaciLyzarskehoKurzuLabel.Visible = true;
            odkazNaRezervaciLyzarskehoVybaveniLabel.Visible = true;
            odkazNaRezervaciSkibalickuLabel.Visible = true;

            if (Page.User.IsInRole("zakaznik") || Page.User.IsInRole("partner"))
            {
                odkazNaRezervaciLyzarskehoKurzuLabel.Text = "<a href=\"RezervaceLyzarskeVyuky.aspx\">rezervovat</a>";
                odkazNaRezervaciLyzarskehoVybaveniLabel.Text = "<a href=\"NovaRezervaceLyzarskehoVybaveni.aspx\">rezervovat</a>";
                odkazNaRezervaciSkibalickuLabel.Text = "<a href=\"RezervaceSkiBalicku.aspx\">rezervovat</a>";
            }
            else
            {
                informaceORezervacichLabel.Visible = true;
                informaceORezervacichLabel.Text = "Rezervace může provádět pouze zákazník nebo partner lyžařské školy.";
            }
        }
        else
        {
            informaceORezervacichLabel.Visible = true;
            informaceORezervacichLabel.Text = "Pokud chcete provést rezervaci, neprve se přihlašte.";
        }

    }


}
