﻿<%@ Page Language="C#" MasterPageFile="~/RezervacniSystemMasterPage.master" AutoEventWireup="true"
    CodeFile="Skibalicky.aspx.cs" Inherits="Skibalicky" Title="Skibalíčky" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="obsahStranky" runat="Server">
    <h1>
        Ceník skibalíčků
    </h1>
    <p class="poznamka">
        Lyžařský kurz začíná vždy první den rezervace. Uvedené ceny jsou konečné (včetně
        DPH).
    </p>
    <asp:GridView ID="skibalickyGridView" runat="server" DataSourceID="skibalickyObjectDataSource">
        <Columns>
            <asp:BoundField DataField="nazevSkiBalicku" HeaderText="Název" SortExpression="nazevSkiBalicku" />
            <asp:BoundField DataField="nazevKurzu" HeaderText="Kurz" SortExpression="nazevKurzu" />
            <asp:BoundField DataField="pocetDniKurzu" HeaderText="Počet dní kurzu" SortExpression="pocetDniKurzu">
                <ItemStyle HorizontalAlign="Center" />
            </asp:BoundField>
            <asp:BoundField DataField="pocetDniVybaveni" HeaderText="Počet dní vybavení" SortExpression="pocetDniVybaveni">
                <ItemStyle HorizontalAlign="Center" />
            </asp:BoundField>
            <asp:BoundField DataField="cena" HeaderText="Cena/klient" SortExpression="cena" DataFormatString="{0:f2} Kč">
                <ItemStyle HorizontalAlign="Right" />
            </asp:BoundField>
        </Columns>
    </asp:GridView>
    <asp:ObjectDataSource ID="skibalickyObjectDataSource" runat="server" SelectMethod="NacistCenikSkibalicku"
        TypeName="SpravceCeniku"></asp:ObjectDataSource>
</asp:Content>
