﻿<%@ Page Language="C#" MasterPageFile="~/RezervacniSystemMasterPage.master" AutoEventWireup="true"
    CodeFile="CenikyLyzarskeKurzy.aspx.cs" Inherits="admin_CenikyLyzarskeKurzy" Title="Ceníky lyžařské školy" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="obsahStranky" runat="Server">
    <h1>
        Ceníky lyžařských kurzů
    </h1>
    <asp:Panel ID="seznamPanel" runat="server">
        <p style="float: right;">
            <a href="?action=new">Přidat nový lyžařský kurz</a>
        </p>
        <h2>
            Seznam lyžařských kurzů
        </h2>
        <asp:GridView ID="cenikGridView" DataKeyNames="idKurzu" runat="server" DataSourceID="lyzarskeKurzyObjectDataSource"
            AutoGenerateColumns="False">
            <Columns>
                <asp:BoundField DataField="idKurzu" HeaderText="Id" SortExpression="idKurzu" />
                <asp:BoundField DataField="nazev" HeaderText="Název" SortExpression="nazev" />
                <asp:BoundField DataField="info" HeaderText="Info" SortExpression="info" />
                <asp:HyperLinkField DataNavigateUrlFields="idKurzu" DataNavigateUrlFormatString="?action=update&amp;id={0}"
                    HeaderText="Upravit" Text="Upravit" />
                <asp:HyperLinkField DataNavigateUrlFields="idKurzu" DataNavigateUrlFormatString="?action=delete&amp;id={0}"
                    HeaderText="Smazat" Text="Smazat" />
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="lyzarskeKurzyObjectDataSource" runat="server" SelectMethod="NacistLyzarskeKurzy"
            TypeName="SpravceCeniku"></asp:ObjectDataSource>
    </asp:Panel>
    <asp:Panel ID="detailPanel" runat="server" Visible="false">
        <h2>
            <asp:Literal ID="h2DetailLiteral" runat="server"></asp:Literal>
        </h2>
        <table>
            <tr>
                <th>
                    Id
                </th>
                <td>
                    <asp:Literal ID="idLiteral" runat="server">0</asp:Literal>
                </td>
            </tr>
            <asp:Panel ID="polozkyPanel" runat="server">
                <tr>
                    <th>
                        Název
                    </th>
                    <td>
                        <asp:TextBox ID="nazevTextBox" runat="server" Width="300"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="nazevTextBoxRequiredFieldValidator" ErrorMessage="Toto pole musí být vyplněno."
                            ControlToValidate="nazevTextBox" ValidationGroup="detail" runat="server" Display="Dynamic"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <th>
                        Informace:
                    </th>
                    <td>
                        <asp:TextBox ID="infoTextBox" runat="server" Width="300" Height="100" TextMode="MultiLine"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="infoRequiredFieldValidator" ErrorMessage="Toto pole musí být vyplněno."
                            ControlToValidate="infoTextBox" ValidationGroup="detail" runat="server" Display="Dynamic"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="error">
                        <asp:Literal ID="errorLiteral" runat="server"></asp:Literal>
                    </td>
                </tr>
                <tr style="border-top: 1px dotted yellow;">
                    <th>
                        Počet cen:
                    </th>
                    <td>
                        <asp:TextBox ID="pocetRozsahuTextBox" AutoPostBack="true" runat="server">0</asp:TextBox>
                    </td>
                </tr>
                <asp:Panel ID="dynPanel" runat="server">
                </asp:Panel>
            </asp:Panel>
            <tr>
                <td colspan="2">
                    <asp:Button ID="prvrditButton" ValidationGroup="detail" runat="server" Text="Potvrdit"
                        OnClick="potvrdButton_Click" />
                    <asp:Button ID="zpetButton" runat="server" Text="Zpět" PostBackUrl="~/admin/CenikyLyzarskeKurzy.aspx" />
                </td>
            </tr>
        </table>
    </asp:Panel>
</asp:Content>
