﻿<%@ Page Language="C#" MasterPageFile="~/RezervacniSystemMasterPage.master" AutoEventWireup="true"
    CodeFile="Forum.aspx.cs" Inherits="admin_Forum" Title="Veřejné fórum" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="obsahStranky" runat="Server">
    <h1>
        Diskusní fóra
    </h1>
    <p>
        Fórum:
        <asp:RadioButtonList ID="forumRadioButtonList" runat="server" AutoPostBack="True"
            RepeatDirection="Horizontal" RepeatLayout="Flow">
            <asp:ListItem Selected="True" Value="0">veřejné </asp:ListItem>
            <asp:ListItem Value="1">pro zaměstnance</asp:ListItem>
        </asp:RadioButtonList>
    </p>
    <asp:GridView ID="forumGridView" runat="server" AutoGenerateColumns="False" CellPadding="2"
        DataSourceID="forumObjectDataSource" ForeColor="White" GridLines="None" Width="580px"
        AllowPaging="True" OnRowDataBound="forumGridView_RowDataBound" DataKeyNames="datumVlozeni,UserName">
        <FooterStyle BackColor="Tan" />
        <Columns>
            <asp:BoundField DataField="datumVlozeni" HeaderText="Datum vložení" />
            <asp:BoundField DataField="UserName" HeaderText="Uživatelské jméno" />
            <asp:BoundField DataField="text" HeaderText="Vzkaz" />
            <asp:CommandField DeleteText="Smazat" HeaderText="Smazat" ShowDeleteButton="True" />
        </Columns>
        <PagerStyle BackColor="#ffff00" ForeColor="Black" HorizontalAlign="Center" />
        <HeaderStyle BackColor="#ffff00" Font-Bold="True" ForeColor="Black" />
        <AlternatingRowStyle BackColor="#4a3f40" />
    </asp:GridView>
    <asp:ObjectDataSource ID="forumObjectDataSource" runat="server" SelectMethod="NactiVzkazyDiskusnihoFora"
        TypeName="SpravceDiskusnihoFora" DeleteMethod="SmazatVzkaz">
        <DeleteParameters>
            <asp:ControlParameter ControlID="forumRadioButtonList" DefaultValue="0" Name="forum"
                PropertyName="SelectedValue" Type="Int32" />
            <asp:Parameter Name="datumVlozeni" Type="DateTime" />
            <asp:Parameter Name="UserName" Type="String" />
        </DeleteParameters>
        <SelectParameters>
            <asp:ControlParameter ControlID="forumRadioButtonList" DefaultValue="0" Name="forum"
                PropertyName="SelectedValue" Type="Int32" />
        </SelectParameters>
    </asp:ObjectDataSource>
</asp:Content>
