﻿<%@ Page Language="C#" MasterPageFile="~/RezervacniSystemMasterPage.master" AutoEventWireup="true"
    CodeFile="RezervaceStavy.aspx.cs" Inherits="admin_RezervaceStavy" Title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="obsahStranky" runat="Server">
    <h1>
        Stavy rezervací
    </h1>
    <asp:Panel ID="seznamPanel" runat="server">
        <p style="float: right;">
            <a href="?action=new">Přidat nový stav rezervace</a>
        </p>
        <h2>
            Seznam stavů vybavení
        </h2>
        <asp:GridView ID="stavyGridView" DataKeyNames="idStavuRezervace" runat="server" DataSourceID="stavyObjectDataSource"
            AutoGenerateColumns="False" AllowSorting="True" 
            onrowdatabound="stavyGridView_RowDataBound">
            <Columns>
                <asp:BoundField DataField="idStavuRezervace" HeaderText="Id" SortExpression="idStavuRezervace" />
                <asp:BoundField DataField="stavRezervace" HeaderText="Stav rezervace" SortExpression="stavRezervace" />
                <asp:BoundField DataField="info" HeaderText="Info" SortExpression="info" />
                <asp:HyperLinkField DataNavigateUrlFields="idStavuRezervace" DataNavigateUrlFormatString="?action=update&amp;id={0}"
                    HeaderText="Upravit" Text="Upravit" />
                <asp:HyperLinkField DataNavigateUrlFields="idStavuRezervace" DataNavigateUrlFormatString="?action=delete&amp;id={0}"
                    HeaderText="Smazat" Text="Smazat" />
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="stavyObjectDataSource" runat="server" SelectMethod="NacistStavyRezervaci"
            TypeName="SpravceRezervaci"></asp:ObjectDataSource>
    </asp:Panel>
    <asp:Panel ID="detailPanel" runat="server" Visible="false">
        <h2>
            <asp:Literal ID="h2DetailLiteral" runat="server"></asp:Literal>
        </h2>
        <table>
            <tr>
                <th>
                    Id
                </th>
                <td>
                    <asp:Literal ID="idLiteral" runat="server">0</asp:Literal>
                </td>
            </tr>
            <asp:Panel ID="polozkyPanel" runat="server">
                <tr>
                    <th>
                        Stav rezervace
                    </th>
                    <td>
                        <asp:TextBox ID="stavRezervaceTextBox" runat="server" Width="300"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="stavRezervaceTextBoxRequiredFieldValidator" ErrorMessage="Toto pole musí být vyplněno."
                            ControlToValidate="stavRezervaceTextBox" ValidationGroup="detail" runat="server"
                            Display="Dynamic"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <th>
                        Informace:
                    </th>
                    <td>
                        <asp:TextBox ID="infoTextBox" runat="server" Width="300" Height="100" TextMode="MultiLine"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="infoRequiredFieldValidator" ErrorMessage="Toto pole musí být vyplněno."
                            ControlToValidate="infoTextBox" ValidationGroup="detail" runat="server" Display="Dynamic"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="error">
                        <asp:Literal ID="errorLiteral" runat="server"></asp:Literal>
                    </td>
                </tr>
            </asp:Panel>
            <tr>
                <td colspan="2">
                    <asp:Button ID="prvrditButton" ValidationGroup="detail" runat="server" Text="Potvrdit"
                        OnClick="potvrdButton_Click" />
                    <asp:Button ID="zpetButton" runat="server" Text="Zpět" PostBackUrl="~/admin/RezervaceStavy.aspx" />
                </td>
            </tr>
        </table>
    </asp:Panel>
</asp:Content>
