﻿<%@ Page Language="C#" MasterPageFile="~/RezervacniSystemMasterPage.master" AutoEventWireup="true"
    CodeFile="Skibalicky.aspx.cs" Inherits="admin_Skibalicky" Title="Skibalíčky" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="obsahStranky" runat="Server">
    <h1>
        Ceník skibalíčků
    </h1>
    <asp:Panel ID="seznamPanel" runat="server">
        <p style="float: right;">
            <a href="?action=new">Přidat nový skibalíček</a>
        </p>
        <h2>
            Seznam skibalíčků
        </h2>
        <asp:GridView ID="skibalickyGridView" DataKeyNames="idSkiBalicku" runat="server"
            DataSourceID="skibalickyObjectDataSource" AutoGenerateColumns="False">
            <Columns>
                <asp:BoundField DataField="idSkiBalicku" HeaderText="Id" SortExpression="idSkiBalicku" />
                <asp:BoundField DataField="nazevSkiBalicku" HeaderText="Název" SortExpression="nazevSkiBalicku" />
                <asp:BoundField DataField="nazevKurzu" HeaderText="Kurz" SortExpression="nazevKurzu" />
                <asp:BoundField DataField="pocetDniKurzu" HeaderText="Počet dní kurzu" SortExpression="pocetDniKurzu">
                    <ItemStyle HorizontalAlign="Center" />
                </asp:BoundField>
                <asp:BoundField DataField="pocetDniVybaveni" HeaderText="Počet dní vybavení" SortExpression="pocetDniVybaveni">
                    <ItemStyle HorizontalAlign="Center" />
                </asp:BoundField>
                <asp:BoundField DataField="cena" HeaderText="Cena/klient" SortExpression="cena" DataFormatString="{0:f2} Kč">
                    <ItemStyle HorizontalAlign="Right" />
                </asp:BoundField>
                <asp:HyperLinkField DataNavigateUrlFields="idSkiBalicku" DataNavigateUrlFormatString="?action=update&amp;id={0}"
                    HeaderText="Upravit" Text="Upravit" />
                <asp:HyperLinkField DataNavigateUrlFields="idSkiBalicku" DataNavigateUrlFormatString="?action=delete&amp;id={0}"
                    HeaderText="Smazat" Text="Smazat" />
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="skibalickyObjectDataSource" runat="server" SelectMethod="NacistCenikSkibalicku"
            TypeName="SpravceCeniku"></asp:ObjectDataSource>
    </asp:Panel>
    <asp:Panel ID="detailPanel" runat="server" Visible="false">
        <h2>
            <asp:Literal ID="h2DetailLiteral" runat="server"></asp:Literal>
        </h2>
        <table>
            <tr>
                <th>
                    Id
                </th>
                <td>
                    <asp:Literal ID="idLiteral" runat="server">0</asp:Literal>
                </td>
            </tr>
            <asp:Panel ID="polozkyPanel" runat="server">
                <tr>
                    <th>
                        Kurz:
                    </th>
                    <td>
                        <asp:DropDownList ID="typKurzuDropDownList" runat="server" DataSourceID="typKurzuSqlDataSource"
                            DataTextField="nazev" DataValueField="idKurzu">
                        </asp:DropDownList>
                    </td>
                </tr>
                <tr>
                    <th>
                        Název
                    </th>
                    <td>
                        <asp:TextBox ID="nazevTextBox" runat="server"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="nazevTextBoxRequiredFieldValidator" ErrorMessage="Toto pole musí být vyplněno."
                            ControlToValidate="nazevTextBox" ValidationGroup="detail" runat="server" Display="Dynamic"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <th>
                        Počet dní kurzu
                    </th>
                    <td>
                        <asp:TextBox ID="pocetDniKurzuTextBox" runat="server"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="pocetDniRequiredFieldValidator" ErrorMessage="Toto pole musí být vyplněno."
                            ControlToValidate="pocetDniKurzuTextBox" ValidationGroup="detail" runat="server"
                            Display="Dynamic"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <th>
                        Počet dní vybavení
                    </th>
                    <td>
                        <asp:TextBox ID="pocetDniVybaveniTextBox" runat="server"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="pocetDniVybaveniRequiredFieldValidator" ErrorMessage="Toto pole musí být vyplněno."
                            ControlToValidate="pocetDniVybaveniTextBox" ValidationGroup="detail" runat="server"
                            Display="Dynamic"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <th>
                        Cena/klient
                    </th>
                    <td>
                        <asp:TextBox ID="cenaKlientTextBox" runat="server"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="cenaRequiredFieldValidator" ErrorMessage="Toto pole musí být vyplněno."
                            ControlToValidate="cenaKlientTextBox" ValidationGroup="detail" runat="server"
                            Display="Dynamic"></asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" class="error">
                        <asp:Literal ID="errorLiteral" runat="server"></asp:Literal>
                    </td>
                </tr>
            </asp:Panel>
            <tr>
                <td colspan="2">
                    <asp:Button ID="prvrditButton" ValidationGroup="detail" runat="server" Text="Potvrdit"
                        OnClick="potvrdButton_Click" />
                    <asp:Button ID="zpetButton" runat="server" Text="Zpět" PostBackUrl="~/admin/Skibalicky.aspx" />
                </td>
            </tr>
        </table>
        <asp:SqlDataSource ID="typKurzuSqlDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
            SelectCommand="SELECT [idKurzu], [nazev] FROM [kurz] ORDER BY [nazev]"></asp:SqlDataSource>
    </asp:Panel>
</asp:Content>
