﻿<%@ Page Language="C#" MasterPageFile="~/RezervacniSystemMasterPage.master" AutoEventWireup="true"
    CodeFile="Slevy.aspx.cs" Inherits="admin_Slevy" Title="Slevy" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="obsahStranky" runat="Server">
    <h1>
        Slevy
    </h1>
    <asp:Panel ID="seznamPanel" runat="server">
        <p style="float: right;">
            <a href="?action=new">Přidat nové slevy</a>
        </p>
        <h2>
            Seznam slev
        </h2>
        <asp:GridView ID="slevyGridView" runat="server" DataSourceID="slevyObjectDataSource"
            AutoGenerateColumns="False">
            <Columns>
                <asp:BoundField DataField="idSlev" HeaderText="Id" SortExpression="idSlev" />
                <asp:BoundField DataField="platnostOd" HeaderText="Platnost od" SortExpression="platnostOd"
                    DataFormatString="{0:dd.MM.yyyy}" />
                <asp:BoundField DataField="onLineRezervace" HeaderText="On line" SortExpression="onLineRezervace"
                    DataFormatString="{0:f2} %">
                    <ItemStyle HorizontalAlign="Right" />
                </asp:BoundField>
                <asp:BoundField DataField="pouzitiPartnerskehoKodu" HeaderText="Partnerský kód" SortExpression="pouzitiPartnerskehoKodu"
                    DataFormatString="{0:f2} %">
                    <ItemStyle HorizontalAlign="Right" />
                </asp:BoundField>
                <asp:BoundField DataField="vcasnaRezervace" HeaderText="Včasná rezevace" SortExpression="vcasnaRezervace"
                    DataFormatString="{0:f2} %">
                    <ItemStyle HorizontalAlign="Right" />
                </asp:BoundField>
                <asp:BoundField DataField="maximalniSleva" HeaderText="Maximální sleva" SortExpression="maximalniSleva"
                    DataFormatString="{0:f2} %">
                    <ItemStyle HorizontalAlign="Right" />
                </asp:BoundField>
                <asp:HyperLinkField DataNavigateUrlFields="idSlev" DataNavigateUrlFormatString="?action=update&amp;id={0}"
                    HeaderText="Upravit" Text="Upravit" />
                <asp:HyperLinkField DataNavigateUrlFields="idSlev" DataNavigateUrlFormatString="?action=delete&amp;id={0}"
                    HeaderText="Smazat" Text="Smazat" />
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="slevyObjectDataSource" runat="server" SelectMethod="NacistSeznamSlev"
            TypeName="SpravceCeniku"></asp:ObjectDataSource>
    </asp:Panel>
    <asp:Panel ID="detailPanel" runat="server" Visible="false">
        <h2>
            <asp:Literal ID="h2DetailLiteral" runat="server"></asp:Literal>
        </h2>
        <table>
            <tr>
                <th>
                    Id:
                </th>
                <td>
                    <asp:Literal ID="idLiteral" runat="server">0</asp:Literal>
                </td>
            </tr>
            <asp:Panel ID="polozkyPanel" runat="server">
                <tr>
                    <th>
                        Platnost od:
                    </th>
                    <td>
                        <asp:TextBox ID="platnostOdTextBox" ReadOnly="true" runat="server"></asp:TextBox>
                        <asp:Button ID="platnostOdButton" runat="server" Text="+" OnClick="platnostOdButton_Click" />
                        <asp:Calendar ID="platnostOdCalendar" Visible="false" runat="server" OnSelectionChanged="platnostOdCalendar_SelectionChanged">
                        </asp:Calendar>
                    </td>
                </tr>
                <tr>
                    <th>
                        Sleva za online rezervaci:
                    </th>
                    <td>
                        <asp:TextBox ID="onlineTextBox" runat="server"></asp:TextBox>%
                    </td>
                </tr>
                <tr>
                    <th>
                        Sleva za použití partnerského kódu:
                    </th>
                    <td>
                        <asp:TextBox ID="partnerskyKodTextBox" runat="server"></asp:TextBox>%
                    </td>
                </tr>
                <tr>
                    <th>
                        Sleva za včasnou rezervaci:
                    </th>
                    <td>
                        <asp:TextBox ID="vcasnaRezervaceTextBox" runat="server"></asp:TextBox>%
                    </td>
                </tr>
                <tr>
                    <th>
                        Maximální sleva
                    </th>
                    <td>
                        <asp:TextBox ID="slevaMaxTextBox" runat="server"></asp:TextBox>%
                    </td>
                </tr>
                <tr style="border-top: 1px dotted yellow;">
                    <th>
                        Počet osob - rozsahů
                    </th>
                    <td>
                        <asp:TextBox ID="pocetRozsahuTextBox" AutoPostBack="true" runat="server">0</asp:TextBox>
                    </td>
                </tr>
                <asp:Panel ID="dynPanel" runat="server">
                </asp:Panel>
                <tr>
                    <td colspan="2" class="error">
                        <asp:Literal ID="errorLiteral" runat="server"></asp:Literal>
                    </td>
                </tr>
            </asp:Panel>
            <tr>
                <td colspan="2">
                    <asp:Button ID="prvrditButton" ValidationGroup="slevy" runat="server" Text="Potvrdit" OnClick="potvrdButton_Click" />
                    <asp:Button ID="zpetButton" runat="server" Text="Zpět" PostBackUrl="~/admin/Slevy.aspx" />
                </td>
            </tr>
        </table>
        <asp:SqlDataSource ID="typKurzuSqlDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
            SelectCommand="SELECT [idKurzu], [nazev] FROM [kurz] ORDER BY [nazev]"></asp:SqlDataSource>
    </asp:Panel>
</asp:Content>
