﻿<%@ Page Language="C#" MasterPageFile="~/RezervacniSystemMasterPage.master" AutoEventWireup="true"
    CodeFile="Uzivatele.aspx.cs" Inherits="admin_Uzivatele" Title="Uživatelé" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="obsahStranky" runat="Server">
    <h1>
        Správa uživatelů
    </h1>
    <asp:Panel ID="usersPanel" runat="server">
        <p style="float: right;">
            <a href="UzivateleNovy.aspx">Vytvořit nového uživatele</a>
        </p>
        <h2>
            Přehled uživatelů podle rolí
        </h2>
        <p>
            Role:
            <asp:RadioButtonList ID="roleRadioButtonList" runat="server" AutoPostBack="True"
                RepeatDirection="Horizontal" RepeatLayout="Flow">
            </asp:RadioButtonList>
        </p>
        <asp:GridView ID="usersGridView" runat="server" AllowPaging="True" AllowSorting="True"
            AutoGenerateColumns="False" DataSourceID="uzivateleObjectDataSource">
            <Columns>
                <asp:BoundField DataField="UserName" HeaderText="Uživ. jméno" SortExpression="UserName" />
                <asp:BoundField DataField="jmeno" HeaderText="Jméno" SortExpression="jmeno" />
                <asp:BoundField DataField="prijmeni" HeaderText="Příjmení" SortExpression="prijmeni" />
                <asp:BoundField DataField="telefon" HeaderText="Telefon" SortExpression="telefon" />
                <asp:HyperLinkField DataNavigateUrlFields="RoleName,UserId" DataNavigateUrlFormatString="UzivateleDetail.aspx?action=view&amp;role={0}&amp;UserId={1}"
                    HeaderText="detail" Text="detail" />
                <asp:HyperLinkField DataNavigateUrlFields="UserId" DataNavigateUrlFormatString="UzivateleRole.aspx?UserId={0}"
                    HeaderText="upravit role" Text="upravit role" />
                <asp:HyperLinkField DataNavigateUrlFields="UserId" DataNavigateUrlFormatString="?action=delete&amp;userId={0}"
                    HeaderText="Smazat uživatele" Text="Smazat uživatele" />
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="uzivateleObjectDataSource" runat="server" SelectMethod="NacistUzivatele"
            TypeName="SpravceUzivatelu">
            <SelectParameters>
                <asp:ControlParameter ControlID="roleRadioButtonList" Name="role" PropertyName="SelectedValue"
                    Type="String" />
            </SelectParameters>
        </asp:ObjectDataSource>
    </asp:Panel>
    <asp:Panel ID="deletePanel" runat="server" Visible="false">
        <h2>
            Smazání uživatele
        </h2>
        <p>
            Opravdu si přejete smazat uživatele <span style="font-weight: bold; color: Yellow;">
                <asp:Literal ID="deleteUserLiteral" runat="server"></asp:Literal></span>? Smazáním
            odstraníte všechny jeho činnosti v systému (rezervace, vzkazy, provize…).
        </p>
        <p>
            <asp:Button ID="smazatOkButton" runat="server" Text="SMAZAT" OnClick="smazatOkButton_Click" />
            <asp:Button ID="cancelButton" runat="server" Text="zpět" OnClick="cancelButton_Click" />
        </p>
    </asp:Panel>
</asp:Content>
