﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class admin_UzivateleNovy : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            DropDownList dropDownList = (DropDownList)createUserWizard.CreateUserStep.ContentTemplateContainer.FindControl("pridelRoleDropDownList");
            dropDownList.Items.Clear();
            foreach (string role in Roles.GetAllRoles())
                dropDownList.Items.Add(new ListItem(role));
        }
    }

    protected void createUserWizard_CreatedUser(object sender, EventArgs e)
    {
        // Zjištení aktuálně vytvořeného užuvatele a jeho id
        MembershipUser user = Membership.GetUser(createUserWizard.UserName);
        string userId = user.ProviderUserKey.ToString();

        Uzivatel uzivatel = new Uzivatel(userId, createUserWizard.UserName, "", ((TextBox)createUserWizard.CreateUserStep.ContentTemplateContainer.FindControl("jmenoTextBox")).Text, ((TextBox)createUserWizard.CreateUserStep.ContentTemplateContainer.FindControl("prijmeniTextBox")).Text, createUserWizard.Email, ((TextBox)createUserWizard.CreateUserStep.ContentTemplateContainer.FindControl("telefonTextBox")).Text);
        DropDownList dropDownList = (DropDownList)createUserWizard.CreateUserStep.ContentTemplateContainer.FindControl("pridelRoleDropDownList");
        switch (dropDownList.SelectedItem.Value)
        {
            case "admin":
                Administrator admin = SpravceUzivatelu.NacistAdministratora(uzivatel.Id);
                admin = new Administrator(uzivatel.Id, uzivatel.Nick, uzivatel.Jmeno, uzivatel.Prijmeni, uzivatel.Email, uzivatel.TelefonniCislo);
                admin.Ulozit();
                if (admin == null)
                {
                    admin = new Administrator(uzivatel.Id, uzivatel.Nick, uzivatel.Jmeno, uzivatel.Prijmeni, uzivatel.Email, uzivatel.TelefonniCislo);
                    admin.Ulozit();
                }
                Roles.AddUserToRole(admin.Nick, "admin");
                break;
            case "zakaznik":
                Zakaznik zakaznik = SpravceUzivatelu.NacistZakaznika(uzivatel.Id);
                if (zakaznik == null)
                {
                    zakaznik = new Zakaznik(uzivatel.Id, uzivatel.Nick, "", uzivatel.Jmeno, uzivatel.Prijmeni, uzivatel.Email, new Adresa(), uzivatel.TelefonniCislo);
                    zakaznik.Ulozit();
                }
                Roles.AddUserToRole(zakaznik.Nick, "zakaznik");
                break;
            case "instruktor":
                Instruktor instruktor = SpravceUzivatelu.NacistInstruktora(uzivatel.Id);
                if (instruktor == null)
                {
                    instruktor = new Instruktor(uzivatel.Id, uzivatel.Nick, uzivatel.Email, uzivatel.Jmeno, uzivatel.Prijmeni, uzivatel.TelefonniCislo, "");
                    instruktor.Ulozit();
                }
                Roles.AddUserToRole(instruktor.Nick, "instruktor");
                break;
            case "partner":
                Partner partner = SpravceUzivatelu.NactiPartnera(uzivatel.Id);
                if (partner == null)
                {
                    partner = new Partner(uzivatel.Id, uzivatel.Nick, uzivatel.Jmeno, uzivatel.Prijmeni, uzivatel.Email, "", uzivatel.TelefonniCislo, "");
                    partner.Ulozit();
                }
                Roles.AddUserToRole(partner.Nick, "partner");
                break;
            default:
                break;
        }
    }

}
